package com.unitesk.requality.eclipse.handlers;

import com.unitesk.requality.core.TreeNode;

public class CopyPasteHelper {
	private static CopyPasteHelper instance = null;
	private TreeNode nodeToCopy = null;
	
	private CopyPasteHelper() {
		
	}
	
	public static CopyPasteHelper getInstance() {
		if(instance == null)
			instance = new CopyPasteHelper();
		return instance;
	}
	
	public TreeNode getNode() {
		return nodeToCopy;
	}
	
	public void setNode(TreeNode node) {
		nodeToCopy = node;
	}
	
	public boolean isEmpty() {
		if(nodeToCopy == null)
			return true;
		return false;
	}
	
	public void setEmpty() {
		nodeToCopy = null;
	}
}
